<?php namespace App\Http\Controllers\Admin;

use Artisan, Redirect, Queue;

class CommandsController extends AdminController {

	public $commands = ['weeklycommissions'];
	public $classes = ['WeeklyCommissions'];

	public function __construct()
	{
		parent::__construct();
	}

	public function index()
	{
		
		return view('admin.commands.index')->withTitle('Commands');
	}

	public function run( $name = null )
	{
		if( !in_array($name, $this->commands) ) {
			return Redirect::back()->with('error', 'Wrong command');
		}

		//Artisan::queue($name);
		//$className = '\App\Jobs\\' . $this->classes[array_keys($this->commands, $name)[0]];

		//$this->dispatch( new $className( [] ) );

		Artisan::queue( $name );

		return Redirect::back()->with('success', 'Command has been successfully ran.');
	}

}
