<?php
namespace App\Http\Controllers\Clientzone\Ajax;

use Input, DB, Config;

class WalletController extends AjaxController {

	public function __construct()
	{
		parent::__construct();
	}

	public function postDepositBlockchain( )
	{
		$transaction_id = Input::get('id', NULL);
    if( is_null( $transaction = \App\Models\Transactions::where('id', $transaction_id)->where('user_id', $this->user->id)->first() ) )
      return $this->response([
        'error' => 'Wrong transaction id'
      ]);

			$result = [];

    	if( $transaction->status == 1 ) $result['success'] = true;
			elseif( $transaction->status == 0 ) {
				$result['amount'] = $transaction->pending_amount;
				$result['received'] = true;
			}

    return $this->response([
      'data' => $result
    ]);
  }
}
