<?php
namespace App\Models;

class AuctionImages extends \Illuminate\Database\Eloquent\Model {

  	protected $table = 'auction_images';
  	protected $dates = ['created_at', 'updated_at'];

  	public function getImagePathAttribute( ) {
        return asset('storage/auction/items/' . $this->image);
  	    /*
  	    $path = 'storage/auction/items/' . $this->image;
  	    if(file_exists($path)){
  	        return asset($path);
        }
        else{
            return asset('../storage/app/public/auction/items/' . $this->image);
        }
  	    */
  	}

  	public function getThumbnailPathAttribute( ) {
        return asset('storage/auction/items/thumbnails/' . $this->image); 
        /*
        $path = 'storage/auction/items/thumbnails/' . $this->image;
        if(file_exists($path)){
            return asset($path);
        }
        else{
            return asset('../storage/app/public/auction/items/thumbnails/' . $this->image);
        }
  	    */
  	}
}
