<?php
namespace App\Models;


class AuctionUsersPackages extends \Illuminate\Database\Eloquent\Model {


  protected $table = 'auction_users_packages';
  protected $dates = ['created_at', 'updated_at'];

  public function package() {
  	//return $this->belongsTo('\App\Models\AuctionPackages', 'package_id', 'id');

      if ($this->is_mlm_package == 0) {
          return $this->belongsTo('\App\Models\AuctionPackages', 'package_id', 'id');
      } else {
          return $this->belongsTo('\App\Models\Packages', 'package_id', 'id');
      }
  }

  public function user() {
  	return $this->hasOne('\App\Models\User', 'id', 'user_id');
  }

}