<?php
namespace App\Models;

class AuctionWatchlist extends \Illuminate\Database\Eloquent\Model {

  protected $table = 'auction_watchlist';
  protected $dates = ['created_at', 'updated_at'];

  public function user() {
  	return $this->hasOne('\App\Models\User', 'user_id', 'id');
  }

  public function item() {
  	return $this->belongsTo('\App\Models\AuctionItems', 'item_id', 'id');
  }

}