<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Enums extends Model
{
    protected $table = 'enums';
    protected $dates = ['created_at', 'updated_at'];

    public static function getAuctionItemsEnumStatuses() {
        $statuses = \App\Models\Enums::where('model_name', 'auction_items')->where('model_field', 'status')->where('status', 1)->orderBy('value', 'ASC')->get(['model_id', 'value']);
        return $statuses;
    }
}
