<?php namespace App\Models;

class TradingBook extends \Illuminate\Database\Eloquent\Model {

  	protected $table = 'trading_book';
    public $dates = ['escrowed_until', 'created_at','updated_at'];

  	public function user() {
  		return $this->belongsTo('\App\Models\User', 'user_id', 'id');
  	}

  	public function linked() {
  		return $this->belongsTo('\App\Models\TradingBook', 'linked_id', 'id');
  	}

  	public function getDates()
	{
	    return ['escrowed_until', 'created_at','updated_at'];
	}
}