<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class UserPayments extends Model
{
    protected $table = 'user_payments';
    protected $dates = ['created_at', 'updated_at'];
    public $timestamps = true;

    protected $fillable = [
        "address_id",
        "email",
        "usdt_value",
        "coin_rate",
        "currency_name",
        "currency_amount",
        "comment",
        "transaction_source_system",
        "status"
    ];

    public function address() {
        return $this->belongsTo('\App\Models\UserAddresses', 'address_id', 'id');
    }
}
