<?php

if( ! function_exists('assetCloud') ) {
	function assetS3( $path = '' ) {
		//return 'https://s3-' . env('AWS_REGION') . '.amazonaws.com/' . env('AWS_BUCKET') . '/' . $path;
        if(config('filesystems.default') == "public"){
            return asset($path);
        }

		return 'https://cdn.firefly.trade/' . $path;
	}
}

if( ! function_exists('assetCloud') ) {
	function storagePathS3( $path = '' ) {
        if(config('filesystems.default') == "public"){
            return asset($path);
        }
		//return 'https://s3-' . env('AWS_REGION') . '.amazonaws.com/' . env('AWS_BUCKET') . '/storage/' . $path;
		return Config('app.url') . '/' . $path;
	}
}

if( ! function_exists('assetCloud') ) {
	function getPeakInternalIp() {
		$thisIp = getHostByName( getHostName() );
		$ips = config('app.peakInternalIp');

		if( ( $key = array_search( $thisIp, $ips ) ) !== false )
		    unset( $ips[ $key ] );

		return head($ips) . ':' . config('app.peakInternalPort');
	}
}