<?php 

namespace App\Http\Controllers\Clientzone;
use Illuminate\Http\Request, DB;
class OthersController extends ClientzoneController {

	public function __construct()
	{
		parent::__construct();
	}

	public function faq(Request $request)
	{
		$search = $request->input('search');
		if(isset($search)){
			$faqs = \App\Models\Faqs::select(DB::raw('faqs.*'))
			->join('faqs_translations','faqs.id', '=', 'faqs_translations.faqs_id')
			->where('question','like','%'.$search.'%')->where('top',0)->get();
			$top_faqs = \App\Models\Faqs::select(DB::raw('faqs.*'))
			->join('faqs_translations','faqs.id', '=', 'faqs_translations.faqs_id')
			->where('question','like','%'.$search.'%')->where('top',1)->get();
			
		}
		else{
			$top_faqs = \App\Models\Faqs::top()->orderBy('id', 'asc')->get();
			$faqs = \App\Models\Faqs::notTop()->orderBy('id', 'asc')->get();
		}
		
		return view('others.faq', ['top_faqs' => $top_faqs, 'faqs' => $faqs])->withTitle("F.A.Q.'s");
	}

	public function terms()
	{
		$terms = \App\Models\Admin\AdminContents::where('title', 'terms')->pluck('content');
		return view('others.terms', ['terms' => $terms])->withTitle('Terms & Conditions');
	}

	public function terms_public()
	{
		return view('others.terms_public')->withTitle('Terms & Conditions');
	}

	public function banners()
	{
		$banners = \App\Models\Banners::orderBy('id', 'asc')->get();
		return view('others.banners', ['banners' => $banners])->withTitle('My Affiliate Tools');
	}

}