<?php
namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;


class AuctionPackages extends \Illuminate\Database\Eloquent\Model {
  use \Astrotomic\Translatable\Translatable;
	use SoftDeletes;
 
  protected $table = 'auction_packages';
  protected $dates = ['created_at', 'updated_at', 'deleted_at'];
  public $translatedAttributes = ['name','description'];
  public function users() {
  	return $this->hasMany('\App\Models\AuctionUsersPackages', 'id', 'package_id');
  }

  public function bidsPrice() {
  	return $this->price / $this->bids;
  }
}