<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AuctionPurchases extends Model
{
    protected $table = 'auction_purchases';
    protected $dates = ['created_at', 'updated_at'];

    public function user() {
        return $this->hasOne('\App\Models\User', 'user_id', 'id');
    }

    public function item() {
        return $this->belongsTo('\App\Models\AuctionItems', 'item_id', 'id');
    }

    public function shipping() {
        return $this->hasOne('\App\Models\Shippings', 'shipping_id', 'id');
    }

}
