<?php namespace App\Models;

class Faqs extends \Illuminate\Database\Eloquent\Model {

  use \Astrotomic\Translatable\Translatable;

  protected $table = 'faqs';
  public $timestamps = false;
  public $translatedAttributes = ['question', 'answer'];

  public function scopeTop($query) {
  	return $query->whereTop(1);
  }

  public function scopeNotTop($query) {
  	return $query->whereTop(0);
  }

  public function getDates()
	{
	    return [];
	}
}