<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Shippings extends Model
{
    protected $table = 'shippings';
    protected $dates = ['created_at', 'updated_at'];

    public function user() {
        return $this->hasOne('\App\Models\User', 'user_id', 'id');
    }

    public function item() {
        return $this->belongsTo('\App\Models\AuctionItems', 'item_id', 'id');
    }
    public function country()
    {
        return $this->hasOne('App\Models\Country', 'id', 'country_id');
    }

}
