<?php 

namespace App\Models;
use Illuminate\Database\Eloquent\SoftDeletes;

use DB;

class SupportCategories extends \Illuminate\Database\Eloquent\Model {
    use \Astrotomic\Translatable\Translatable;
    use SoftDeletes;
  public $translatedAttributes = ['name'];
  protected $table = 'support_tickets_categories';
  protected $dates = ['created_at'];

  public function Support()
  {
    return $this->belongsToMany('App\Models\Support', 'category_id', 'id');
  }

  public function user()
  {
    return $this->belongsTo('App\Models\User', 'assigned_to', 'id');
  }

  public function getDates()
	{
	 return ['created_at'];
	}

  public function setUpdatedAtAttribute($value) { }
}