<?php 

namespace App\Models;

class SupportReplies extends \Illuminate\Database\Eloquent\Model {

  protected $table = 'support_tickets_replies';
  protected $dates = ['created_at'];

  public function Support()
  {
    return $this->belongsTo('App\Models\Support', 'id');
  }

  public function user()
  {
    return $this->hasOne('App\Models\User', 'id', 'user_id');
  }

  public function getDates()
	{
	 return ['created_at'];
	}

  public function setUpdatedAtAttribute($value)
  {
      // to Disable updated_at
  }
}