<?php namespace App\Models;

class UsersBalances extends \Illuminate\Database\Eloquent\Model
{
	protected $table = 'users_balances';
	//protected $primaryKey = 'users_id';
	public $incrementing = false;
	public $timestamps = false;

    public static $pools = [
        1 => [
            'name' => 'wallet',
            'label' => 'Online Wallet'
        ],
        2 => [
            'name' => 'interest',
            'label' => 'Profit'
        ],
        3 => [
            'name' => 'binary_bonus',
            'label' => 'Binary Bonus'
        ],
        4 => [
            'name' => 'referral_bonus',
            'label' => 'Referral Bonus'
        ]
    ];

	public function user()
	{
	  return $this->belongsTo('\App\Models\User', 'users_id', 'id');
	}

	public function processor()
	{
		return $this->hasOne('\App\Models\Processors', 'id', 'processor_id');
	}
}