<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use DB;

class UsersKycs extends Model
{
    protected $table = "users_kycs";

    protected $fillable = [
        "user_id",
        "type",
        "document_location",
        "status"
    ];

    public function user()
    {
        return $this->belongsTo('\App\Models\User', 'user_id', 'id');
    }


    public function getImagePathAttribute() {
        return asset('storage/users/'. $this->type .'/' . $this->document_location);
    }
}
