<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class WCILastPrices extends Model
{
    protected $table = "wci_last_prices";
    protected $fillable = [
        "market",
        "price"
    ];

    protected $attributes = [
        "price" => null,
    ];

    public static function getBtcCny(){
        return self::where('market', 'BTC/CNY')->first()->price;
    }

    public static function getCpcUsd(){
        return self::where('market', 'CPC/USD')->first()->price;
    }
}
